package domain

type Entry struct {
	Language     Language
	Params       map[string]any
	File         Path
	Description  string
	Title        string
	Content      []byte
	Resources    Resources
	Translations []*Entry
}

func (e Entry) IsHome() bool {
	return e.File.dir == "./" && e.File.translationBaseName == "index"
}

func (e Entry) IsTranslated() bool {
	return 1 < len(e.Translations)
}
